/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {ProjectFieldResponse} from "./projectFieldResponse";

export class ProjectPrincipalResponse {
    public id: string;

    public name: string;

    public description: string;

    public fields: ProjectFieldResponse;

    public logo: string;

    /**
     * Creates a ProjectPrincipalResponse.
     *
     * @param {string} id
     * @param {string} name
     * @param {string} description
     * @param {ProjectFieldResponse} fields
     * @param {string} logo
     */
    constructor(id: string, name: string, description: string, fields: ProjectFieldResponse, logo: string) {
        this.id = id;
        this.name = name;
        this.description = description;
        this.fields = fields;
        this.logo = logo;
    }
}
